summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 144126a)
raw | patch | inline | side by side (parent: 144126a)
author | Junio C Hamano <gitster@pobox.com> | |
Sat, 5 Jan 2008 06:22:55 +0000 (22:22 -0800) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sat, 5 Jan 2008 08:07:51 +0000 (00:07 -0800) |
Using \+ to mean "one or more" in grep without -E is a GNU
extension outside POSIX. Avoid it.
Signed-off-by: Junio C Hamano <gitster@pobox.com>
extension outside POSIX. Avoid it.
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/t7600-merge.sh | patch | blob | history |
diff --git a/t/t7600-merge.sh b/t/t7600-merge.sh
index 6424c6e2c0b27f6d4dd19e9088710db932d2ace9..50c51c82facdf30fffa4517763c84ce862aa8c27 100755 (executable)
--- a/t/t7600-merge.sh
+++ b/t/t7600-merge.sh
git merge --summary c2 >diffstat.txt &&
verify_merge file result.1-5 msg.1-5 &&
verify_parents $c1 $c2 &&
- if ! grep -e "^ file | \+2 +-$" diffstat.txt
+ if ! grep -e "^ file | *2 +-$" diffstat.txt
then
echo "[OOPS] diffstat was not generated"
fi
git merge -n c2 >diffstat.txt &&
verify_merge file result.1-5 msg.1-5 &&
verify_parents $c1 $c2 &&
- if grep -e "^ file | \+2 +-$" diffstat.txt
+ if grep -e "^ file | *2 +-$" diffstat.txt
then
echo "[OOPS] diffstat was generated"
false